:root {
  --black: #000000;
  --white: #ffffff;
  --background-primary: rgba(0, 0, 0, 0.6);
  --primary-color: #4458be;
  --header-color: #ffffff;
  --header-secondary-color: #ae3917;
  --text-color: #d9d9d9;
  --input-background: rgba(217, 217, 217, 0.2);
  --input-text: #d9d9d9;
  --hover-color: #374653;
  --button-color: #ae3917;
  --button-hover-color: #e44313;
}

* {
  padding: 0;
  margin: 0;
}

body {
  font-family: "Roboto", sans-serif;
  background-color: var(--black);
}

/* Multiply */

h3 {
  font-size: 30px;
  color: var(--header-secondary-color);
  margin-top: 50px;
  margin-bottom: 50px;
  font-weight: 700;
  letter-spacing: 4px;
}

/* Content */

h1 {
  font-size: 60px;
  font-weight: 400;
  color: var(--header-color);
}

#coming-soon {
  background-image: url("../assets/Coming\ Soon\ -\ 12.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 20px;
  height: 100vh;
  overflow: hidden;
}

#coming-soon .overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--background-primary);
  padding: 50px;
  z-index: 9999;
}

#coming-soon .coming-content {
  display: grid;
  place-items: center;
  height: 100%;
  align-content: center;
}

#coming-soon form {
  margin-top: 24px;
}

#coming-soon input {
  padding: 12px 24px;
  font-weight: 600;
  font-size: 20px;
  border-radius: 6px;
  border: none;
  color: var(--input-text);
  background-color: var(--input-background);
  border: 1px solid var(--input-background);
}

#coming-soon input::placeholder {
  color: var(--input-text);
}

#coming-soon button {
  padding: 12px 24px;
  font-weight: 500;
  font-size: 20px;
  margin-left: 30px;
  border-radius: 6px;
  transition: all ease-in-out 0.3s;
  background-color: var(--button-color);
  border: 1px solid var(--button-color);
}

#coming-soon button:hover {
  background-color: var(--button-hover-color);
  border: 1px solid var(--button-hover-color);
}

/* Countdown */

#countdown {
  display: flex;
}

.time {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 20px;
}

#countdown h2 {
  font-size: 60px;
  font-weight: 800;
  color: var(--white);
}

#countdown small {
  font-size: 30px;
  color: var(--text-color);
}
